/*
 * filename: src/utils.h
 * author: Pablo Yanez Trujillo <yanezp@imtek.de>
 */

#ifndef AOFDB_UTILS_H
#define AOFDB_UTILS_H

#include <stdio.h>
#include <sqlite3.h>

typedef struct __SLL_LIST
{
	void* data;
	int allocated;
	int insert;
	int addtimes;
	struct __SLL_LIST* next;
	struct __SLL_LIST* last;
} SLL;

SLL* createSLL();
int addSLL(SLL* sll, void* data, int allocated);
void* getSLL(const SLL* sll, size_t pos, int* got);
void cleanupSLL(SLL* sll);


char* readfrom(FILE* buffer, const char* filename, int stop, int* ferr, int* eof);

SLL* userinput(const char* questionlist[], int quesnumb, SLL* args);

int checknum(const char* buffer, int* num);

sqlite3* db_connect(const char* path);

char* prepare_input(const char* input);

#endif
